GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
gdb.printing.PrettyPrinter Class Reference
Inheritance diagram for gdb.printing.PrettyPrinter:

## Public Member Functions
def | __init__ (self, name, subprinters=None)
def | __call__ (self, val)
def | __init__ (self, name, subprinters=None)
def | __call__ (self, val)

## Public Attributes
| name
| subprinters
| enabled

## Detailed Description

    A basic pretty-printer.

    Attributes:
        name: A unique string among all printers for the context in which
            it is defined (objfile, progspace, or global(gdb)), and should
            meaningfully describe what can be pretty-printed.
            E.g., "StringPiece" or "protobufs".
        subprinters: An iterable object with each element having a `name'
            attribute, and, potentially, "enabled" attribute.
            Or this is None if there are no subprinters.
        enabled: A boolean indicating if the printer is enabled.

    Subprinters are for situations where "one" pretty-printer is actually a
    collection of several printers.  E.g., The libstdc++ pretty-printer has
    a pretty-printer for each of several different types, based on regexps.

Definition at line 29 of file printing.py.

## Constructor & Destructor Documentation

## ◆ __init__() [1/2]

def gdb.printing.PrettyPrinter.__init__ | ( |  | self,
|  |  | name,
|  |  | subprinters = `None`
| ) |  |

Definition at line 51 of file printing.py.

Referenced by gdb.printing.PrettyPrinter.__init__().

## ◆ __init__() [2/2]

def gdb.printing.PrettyPrinter.__init__ | ( |  | self,
|  |  | name,
|  |  | subprinters = `None`
| ) |  |

Definition at line 51 of file printing.py.

References gdb.printing.PrettyPrinter.__init__(), gdb.printing.PrettyPrinter.enabled, bp_location.enabled, exsummary.Function.name, cmd_list_element.name, gdb.printing.PrettyPrinter.name, subfile.name, name, ada_task_info.name, context_stack.name, subfile_stack.name, aop_map.name, cache_entry.name, ada_exc_info.name, loaded_script.name, and gdb.printing.PrettyPrinter.subprinters.

## Member Function Documentation

## ◆ __call__() [1/2]

def gdb.printing.PrettyPrinter.__call__ | ( |  | self,
|  |  | val
| ) |  |

Definition at line 56 of file printing.py.

Referenced by gdb.printing.PrettyPrinter.__call__().

## ◆ __call__() [2/2]

def gdb.printing.PrettyPrinter.__call__ | ( |  | self,
|  |  | val
| ) |  |

Definition at line 56 of file printing.py.

References gdb.printing.PrettyPrinter.__call__().

## Member Data Documentation

## ◆ enabled

gdb.printing.PrettyPrinter.enabled

Definition at line 54 of file printing.py.

Referenced by gdb.printing.FlagEnumerationPrinter.__call__(), gdb.unwinder.Unwinder.__init__(), gdb.xmethod.XMethod.__init__(), gdb.printing.PrettyPrinter.__init__(), gdb.printing.SubPrettyPrinter.__init__(), gdb.xmethod.XMethodMatcher.__init__(), and gdb.types.TypePrinter.__init__().

## ◆ name

gdb.printing.PrettyPrinter.name

Definition at line 52 of file printing.py.

Referenced by gdb.printing.FlagEnumerationPrinter.__call__(), gdb.unwinder.Unwinder.__init__(), gdb.xmethod.XMethod.__init__(), gdb.printing.PrettyPrinter.__init__(), gdb.printing.SubPrettyPrinter.__init__(), gdb.xmethod.XMethodMatcher.__init__(), and gdb.types.TypePrinter.__init__().

## ◆ subprinters

gdb.printing.PrettyPrinter.subprinters

Definition at line 53 of file printing.py.

Referenced by gdb.printing.RegexpCollectionPrettyPrinter.__call__(), gdb.printing.PrettyPrinter.__init__(), and gdb.printing.RegexpCollectionPrettyPrinter.add_printer().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/data-directory/python/gdb/printing.py